#include <bits/stdc++.h>

using namespace std;

ifstream fi ("tsnt.inp");
ofstream fo ("tsnt.out");

void tsnt(int n){
  int i=2,sum=0;
  fo<<n<<'=';
  while(n%i!=0){
    i++;
  }
  fo<<i;
  n=n/i;
  sum=sum+i;
  while (n>1){
    while (n%i==0){cout<<'*'<<i;sum=sum+i;n=n/i;}
    i++;
  }
  fo<<endl;
  fo<<sum;
  return;
}

int main()
{
  int n;
  fi>>n;
  tsnt(n);
}
